.table {
  width: 100%;
  max-width: 100%;

  text-align: left;
  background-color: $table-bg-color;
  line-height: 1.2;
  margin: 0 0 3rem;
  position: relative;
  overflow: hidden;

  table {
    border-spacing: 0;
    border-collapse: collapse;
    width: 100%;

    a {
      margin-right: 0;
      white-space: nowrap;
      border-radius: 2rem;
      padding: 0.4rem 1.5rem;
      display: inline-block;
      vertical-align: middle;
      @include font-archer-medium;
      font-weight: 400;
      font-size: 14px;
      transition: all 0.3s;
      text-align: center;
      margin: 0.8rem 0 0;
      line-height: 1;
      position: relative;
      cursor: pointer;

      background: #fff;
      box-shadow: 0.5px 0.5px 1px 1px rgba(0, 0, 0, 0.08);
      color: $color-oceanBlue;

      @include breakpoint($large) {
        font-size: 16px;
      }

      &:hover,
      &:focus {
        color: $color-slate;
        background-color: #fefefe;
        box-shadow: 1px 1px 3px 1px rgba(0, 0, 0, 0.2);
      }
    }
  }

  .table__footer {
    text-align: center;
    @include rhythm(13, 16);
    margin: 1rem 0 0;
    padding: 0 0 1px;

    p {
      @include rhythm(13, 16);
    }

    a {
      border-bottom: 1px solid rgba(4, 88, 155, 0);
      transition: all 0.4s;

      &:hover,
      &:focus {
        border-color: #3d3d3d;
      }
    }
  }

  thead {
    @include font-archer-light;
    color: $color-heading;

    > tr {
      > th,
      td {
        vertical-align: top;
        text-align: Center;
        background: #fff;
        padding: map-get($mobile, space-xsmsm);

        @include breakpoint($large) {
          padding: map-get($desktop, space-xsmsm);
        }
      }
    }
  }

  tbody {
    tr {
      th,
      td {
        @include rhythm(14, 16);
        text-align: Center;
        padding: map-get($mobile, space-xsmsm);

        @include breakpoint($large) {
          padding: map-get($desktop, space-xsmsm);
        }

        &:first-child {
          width: 120px;
          min-width: 120px;
          word-break: break-word;

          @include breakpoint(500px) {
            width: 160px;
            min-width: 160px;
            padding-right: 15px;
          }
        }
      }

      th {
        font-weight: 600;
        text-align: left;
        position: relative;

        &:after {
          content: "";
          position: absolute;
          top: 16px;
          bottom: 16px;
          right: 0;
          border-right: 1px solid #d2d9dc;
          opacity: 0.5;
        }
      }

      td {
        min-width: calc((100vw - 150px - 2rem) / 1.5);

        @include breakpoint(500px) {
          min-width: calc((100vw - 150px - 2rem) / 2.5);
        }

        @include breakpoint(620px) {
          min-width: calc((100vw - 150px - 2rem) / 3.5);
        }

        @include breakpoint($medium) {
          min-width: calc((100vw - 150px - 2rem) / 4.5);
        }

        @include breakpoint(900px) {
          min-width: 100px;
        }
      }

      > * {
        &:first-child {
          border-radius: 8px 0 0 8px;
        }

        &:last-child {
          border-radius: 0 8px 8px 0;
        }
      }
    }

    tr:nth-child(even) {
      > * {
        background-color: #fff;
      }
    }

    tr:nth-child(odd) {
      > * {
        background-color: #f9fafc;
      }
    }

    tr:nth-last-child(n + 2):nth-last-child(-n + 2):first-child,
    tr:nth-last-child(n + 2):nth-last-child(-n + 2):first-child ~ tr {
      background-color: #f9fafc;

      &:first-child {
        > *:first-child {
          border-radius: 8px 0 0 0;
        }

        > *:last-child {
          border-radius: 0 8px 0 0;
        }
      }

      &:last-child {
        > *:first-child {
          border-radius: 0 0 0 8px;
        }

        > *:last-child {
          border-radius: 0 0 8px 0;
        }
      }
    }
  }

  th > *:first-child,
  td > *:first-child {
    margin-top: 0;
  }

  th > *:last-child,
  td > *:last-child {
    margin-bottom: 0;
  }

  // Cell alignments
  [colspan] {
    text-align: center;
  }

  [colspan="1"] {
    text-align: left;
  }

  [rowspan] {
    vertical-align: middle;
  }

  [rowspan="1"] {
    vertical-align: top;
  }

  .cloned {
    position: relative;
  }

  .scrollableTable {
    overflow-x: auto;
    padding-bottom: 1rem;

    th,
    td {
      &:first-child {
        visibility: hidden;
      }
    }
  }

  .clone {
    table {
      background: transparent;

      position: absolute;
      top: 0;
      left: 0;
      pointer-events: none;

      th,
      td {
        visibility: hidden;

        &:first-child {
          visibility: visible;
        }
      }

      thead {
        th:first-child {
          &:before {
            display: none;
          }
        }
      }
    }
  }

  &.table--highlight {
    thead {
      th:nth-child(2) {
        position: relative;

        &:before {
          content: "";
          position: absolute;
          border-bottom: 5px solid $color-accessibleGreen;
          left: 0;
          right: 0;
          bottom: 0;
          top: auto;
        }
      }
    }
  }

  &.table--firstRowPrice {
    tbody {
      tr:first-child {
        td {
          @include rhythm(18, 18);
        }
      }
    }
  }

  &.table--noStripes {
    tbody {
      tr {
        td,
        th {
          background: #f9fafc !important;
          position: relative;
          padding-top: 8px;
          padding-bottom: 8px;

          &:after {
            content: "";
            position: absolute;
            top: 0px;
            bottom: 0px;
            right: 0;
            border-right: 1px solid #d2d9dc;
            opacity: 0.5;
          }

          &:last-child {
            &:after {
              display: none;
            }
          }
        }

        &:first-child {
          td,
          th {
            &:after {
              top: 14px;
            }
          }
        }
        &:last-child {
          td,
          th {
            &:after {
              bottom: 14px;
            }
          }
        }

        &:first-child {
          th,
          td {
            padding-top: map-get($mobile, space-xsmsm);
            @include breakpoint($large) {
              padding-top: map-get($desktop, space-xsmsm);
            }
          }
        }

        &:last-child {
          th,
          td {
            padding-bottom: map-get($mobile, space-xsmsm);
            @include breakpoint($large) {
              padding-bottom: map-get($desktop, space-xsmsm);
            }
          }
        }
      }
    }
  }

  &.table--overflow {
    thead {
      tr {
        th:first-child {
          position: relative;

          &:before {
            content: "";
            display: block;
            width: 16px;
            height: 100%;
            position: absolute;
            z-index: 10;
            right: 0;
            top: 0;
            transform: translateX(100%);
            @include gradient-horizontal(
              rgba(255, 255, 255, 1),
              rgba(255, 255, 255, 0)
            );
          }
        }
      }
    }

    tbody {
      tr {
        th:first-child {
          position: relative;

          &:after {
            display: none;
          }

          &:before {
            content: "";
            display: block;
            width: 8px;
            height: 100%;
            position: absolute;
            z-index: 10;
            right: 0;
            top: 0;
            transform: translateX(100%);
            @include gradient-horizontal(rgba(0, 0, 0, 0.1), rgba(0, 0, 0, 0));
          }
        }
      }
    }
  }

  &.cols-2 {
    tbody {
      tr {
        th,
        td {
          &:first-child {
            width: 50%;
          }
        }
      }
    }
  }

  &.cols-3 {
    tbody {
      tr {
        th,
        td {
          &:first-child {
            width: 30%;
          }
        }
      }
    }
  }

  &.cols-4 {
    tbody {
      tr {
        th,
        td {
          &:first-child {
            width: 25%;
          }
        }
      }
    }
  }
}

.table-caption {
  text-align: left;
  padding: 0.4rem 0;
  line-height: 1.2;

  @include font-archer-light;
  color: $color-heading;
  font-size: 22px;

  small {
    display: block;
    font-size: 72%;
    color: $text-color;
  }
}
